%global realname misultin
%global upstream ostinelli
%global debug_package %{nil}
%global git_tag 1973f5c
%global patchnumber 0

Name:		erlang-%{realname}
Version:	0.9
Release:	6%{?dist}
Summary:	Erlang library for building fast lightweight HTTP(S) servers

Group:		Development/Libraries
License:	BSD
URL:		https://github.com/ostinelli/misultin
# wget --no-check-certificate --content-disposition https://github.com/ostinelli/misultin/tarball/misultin-0.9
Source0:	%{upstream}-%{realname}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
Requires:	erlang-crypto
# Error:erlang(binary:copy/2) in R13B and below
# Error:erlang(lists:keyfind/3) in R12B and below
Requires:	erlang-erts >= R14B
Requires:	erlang-inets
Requires:	erlang-kernel
Requires:	erlang-ssl
# Error:erlang(unicode:characters_to_list/1) in R12B and below
Requires:	erlang-stdlib >= R13B


%description
Erlang library for building fast lightweight HTTP(S) servers.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv
install -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 priv/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%clean
rm -rf $RPM_BUILD_ROOT


%check
#make tests


%files
%defattr(-,root,root,-)
%doc CHANGELOG.md EXPORTS.md LICENSE.txt README.md examples/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/*


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.9-1
- Update to the latest final 0.9 (there will be no more misultin releases)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 23 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-2
- Narrow BuildRequires

* Wed Sep  8 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-1
- Initial build

